routes/web.php
<?php

Route::group(['prefix' => LaravelLocalization::setLocale()], function()
{
	Route::prefix('/')->group(function(){
		//Login
		Route::get('/login', 'Auth\LoginController@index')->name('login');
		Route::post('/login', 'Auth\LoginController@login')->name('login.attempt');

		//Register
		Route::get('/register', 'Auth\RegisterController@index')->name('register');
		Route::post('/register', 'Auth\RegisterController@store')->name('register.store');	

		Route::middleware(['auth'])->group(function(){
			//Dashboard	
			Route::get('/', 'DashboardController@index')->name('dashboard');
			Route::get('dashboard', 'DashboardController@index')->name('dashboard');

			//Category
			Route::get('/category/json', 'Category\CategoryController@populateRecords')->name('category.getCategoryData');
			Route::delete('/category', 'Category\CategoryController@delete')->name('category.delete');		
			Route::resource('category', 'Category\CategoryController');

			//Inventory
			Route::get('/inventory/detail/json/{id}', 'Inventory\InventoryController@populateDetailRecords')->name('inventory.getInventoryDetailData');
			Route::get('/inventory/user/json/{id}', 'Inventory\InventoryController@inventoryUserDetails')->name('inventory.inventoryUserDetails');
			Route::get('/inventory/maintenance/json/{id}', 'Inventory\InventoryController@populateMaintenanceRecords')->name('inventory.maintenanceRecords');
			Route::get('/inventory/maintenance/work/json/{id}', 'Inventory\InventoryController@populateMaintenanceWorkRecords')->name('inventory.maintenanceWorkRecords');
			Route::get('/inventory/maintenance/part/json/{id}', 'Inventory\InventoryController@populateMaintenancePartRecords')->name('inventory.maintenancePartRecords');
			Route::get('/inventory/json', 'Inventory\InventoryController@populateRecords')->name('inventory.getInventoryData');
			Route::delete('/inventory', 'Inventory\InventoryController@delete')->name('inventory.delete');		
			Route::resource('inventory', 'Inventory\InventoryController');			

			//Department
			Route::get('/department/json', 'Department\DepartmentController@populateRecords')->name('department.getDepartmentData');
			Route::delete('/department', 'Department\DepartmentController@delete')->name('department.delete');		
			Route::resource('department', 'Department\DepartmentController');

			//Employee
			Route::get('/employee/json', 'Employee\EmployeeController@populateRecords')->name('employee.getEmployeeData');
			Route::delete('/employee', 'Employee\EmployeeController@delete')->name('employee.delete');		
			Route::resource('employee', 'Employee\EmployeeController');

			//Inventory Request
			Route::get('/request/json', 'InventoryRequest\InventoryRequestController@populateRecords')->name('request.getInventoryRequestData');
			Route::get('/request/detail/json/{id}', 'InventoryRequest\InventoryRequestController@populateDetailRecords')->name('request.getInventoryRequestDetailData');
			Route::delete('/request', 'InventoryRequest\InventoryRequestController@delete')->name('request.delete');		
			Route::resource('request', 'InventoryRequest\InventoryRequestController');

			//Inventory Request Detail
			Route::get('/request/item/json', 'InventoryRequest\InventoryRequestController@populateItem')->name('request.populateItem');
			Route::get('/request/item/{id}', 'InventoryRequest\InventoryRequestController@getDetailItem')->name('request.autoFillItem');
			Route::post('/request/item', 'InventoryRequest\InventoryRequestController@storeRequestDetail')->name('request.storeRequestDetail');
			Route::delete('/request/item/{item}', 'InventoryRequest\InventoryRequestController@requestDetailDestroy')->name('request.requestDetailDestroy');

			//Inventory Procurement
			Route::get('/procurement/json', 'InventoryProcurement\InventoryProcurementController@populateRecords')->name('procurement.getInventoryProcurementData');
			Route::get('/procurement/detail/json/{id}', 'InventoryProcurement\InventoryProcurementController@populateDetailRecords')->name('procurement.getInventoryProcurementDetailData');
			Route::delete('/procurement', 'InventoryProcurement\InventoryProcurementController@delete')->name('procurement.delete');
			Route::resource('procurement', 'InventoryProcurement\InventoryProcurementController');

			//Inventory Procurement Detail
			Route::get('/generate', 'InventoryProcurement\InventoryProcurementController@autoCode')->name('procurement.autoCode');
			Route::get('/procurement/item/json', 'InventoryProcurement\InventoryProcurementController@populateItem')->name('procurement.populateItem');
			Route::get('/procurement/item/{id}', 'InventoryProcurement\InventoryProcurementController@getDetailItem')->name('procurement.autoFillItem');
			Route::post('/procurement/item', 'InventoryProcurement\InventoryProcurementController@storeProcurementDetail')->name('procurement.storeProcurementDetail');
			Route::get('/procurement/show/detail/{id}', 'InventoryProcurement\InventoryProcurementController@getProcurementDetailItem')->name('procurement.getProcurementDetailItem');
			Route::get('/procurement/show/subdetail/{id}', 'InventoryProcurement\InventoryProcurementController@getSubDetailItem')->name('procurement.getSubDetailItem');
			Route::delete('/procurement/item/{item}', 'InventoryProcurement\InventoryProcurementController@procurementDetailDestroy')->name('procurement.procurementDetailDestroy');

			//Inventory Delivery
			Route::get('/delivery/request/{id}', 'InventoryDelivery\InventoryDeliveryController@populateInventoryRequest')->name('delivery.getInventoryRequest');
			Route::get('/delivery/employee/{id}', 'InventoryDelivery\InventoryDeliveryController@populateEmployee')->name('delivery.getEmployee');
			Route::get('/delivery/json', 'InventoryDelivery\InventoryDeliveryController@populateRecords')->name('delivery.getInventoryDeliveryData');
			Route::get('/delivery/detail/json/{id}', 'InventoryDelivery\InventoryDeliveryController@populateDetailRecords')->name('delivery.getInventoryDeliveryDetailData');
			Route::delete('/delivery', 'InventoryDelivery\InventoryDeliveryController@delete')->name('delivery.delete');		
			Route::resource('delivery', 'InventoryDelivery\InventoryDeliveryController');

			//Inventory Delivery Detail
			Route::get('/delivery/item/json', 'InventoryDelivery\InventoryDeliveryController@populateItem')->name('delivery.populateItem');
			Route::get('/delivery/item/{id}', 'InventoryDelivery\InventoryDeliveryController@getDetailItem')->name('delivery.autoFillItem');
			Route::post('/delivery/item', 'InventoryDelivery\InventoryDeliveryController@storeDeliveryDetail')->name('delivery.storeDeliveryDetail');
			Route::delete('/delivery/item/{item}', 'InventoryDelivery\InventoryDeliveryController@deliveryDetailDestroy')->name('delivery.deliveryDetailDestroy');

			//Inventory Return
			Route::get('/return/delivery/{id}', 'InventoryReturn\InventoryReturnController@populateInventoryDelivery')->name('return.getInventoryDelivery');
			Route::get('/return/employee/{id}', 'InventoryReturn\InventoryReturnController@populateEmployee')->name('return.getEmployee');
			Route::get('/return/json', 'InventoryReturn\InventoryReturnController@populateRecords')->name('return.getInventoryReturnData');
			Route::get('/return/detail/json/{id}', 'InventoryReturn\InventoryReturnController@populateDetailRecords')->name('return.getInventoryReturnDetailData');
			Route::delete('/return', 'InventoryReturn\InventoryReturnController@delete')->name('return.delete');		
			Route::resource('return', 'InventoryReturn\InventoryReturnController');

			//Inventory Return Detail
			Route::get('/return/item/json', 'InventoryReturn\InventoryReturnController@populateItem')->name('return.populateItem');
			Route::get('/return/item/{id}', 'InventoryReturn\InventoryReturnController@getDetailItem')->name('return.autoFillItem');
			Route::post('/return/item', 'InventoryReturn\InventoryReturnController@storeReturnDetail')->name('return.storeReturnDetail');
			Route::delete('/return/item/{item}', 'InventoryReturn\InventoryReturnController@returnDetailDestroy')->name('return.returnDetailDestroy');						

			//Users Group
			Route::get('/users-group/permissions/{id}', 'UsersGroup\UsersGroupController@getUserPermissions')->name('users-group.getUserPermissions');
			Route::get('/users-group/json', 'UsersGroup\UsersGroupController@populateRecords')->name('users-group.getUsersGroupData');
			Route::delete('/users-group', 'UsersGroup\UsersGroupController@delete')->name('users-group.delete');		
			Route::resource('users-group', 'UsersGroup\UsersGroupController');

			//Users
			Route::get('/users/groups/{id}', 'Users\UsersController@getUserGroups')->name('users.getUserGroups');
			Route::get('/users/json', 'Users\UsersController@populateRecords')->name('users.getUserData');
			Route::get('/users/password', 'Users\UsersController@password')->name('users.password');
			Route::put('/users/password', 'Users\UsersController@update_password')->name('users.password.update');
			Route::get('/profile', 'Users\UsersController@profile')->name('users.profile');			
			Route::put('/users/password/{id}', 'Users\UsersController@resetPassword')->name('users.reset');
			Route::delete('/users', 'Users\UsersController@delete')->name('users.delete');				
			Route::resource('users', 'Users\UsersController');

			//Logout
			Route::get('/logout', 'Auth\LoginController@logout')->name('logout');
		});	
	});
});

app/Employee.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\SoftDeletes;

class Employee extends Model
{
    use Notifiable, SoftDeletes;

    protected $dates = ['deleted_at'];

    protected $fillable = [
    	'employee_number', 'employee_name', 'payroll_number', 'department_id', 'group', 'position', 'salary', 'employee_status', 'level_of_education', 'majoring_in_education', 'other', 'description', 'is_active', 'user_id',
    ];

    protected $table = 'employee';

    public function user() {
    	return $this->belongsTo('App\User', 'user_id');
    }

    public function department() {
    	return $this->belongsTo('App\Department', 'department_id');
    }    
}

resources/views/pages/employee/create.blade.php
@extends('layouts.app')

@section('title', __('Create Employee'))
@section('meta_description', __('Employee Page'))
@section('meta_keywords', __('Employee'))
@section('copyright', 'Copyright © 2020 ArikBali')
@section('author', 'Arik Bali')

@section('content')
<header class="c-header c-header-light c-header-fixed c-header-with-subheader">
    @include('partials/navbar_menus')
    <div class="c-subheader justify-content-between px-3">
        <ol class="breadcrumb border-0 m-0 px-0 px-md-3">
            <li class="breadcrumb-item">
                <a href="{{ route('dashboard') }}" alt="{{ __('Dashboard') }}" title="{{ __('Dashboard') }}">
                    {{ __('Home') }}
                </a>
            </li>
            <li class="breadcrumb-item">
                <a href="{{ route('employee.index') }}" alt="{{ __('Employee') }}" title="{{ __('Employee List') }}">
                    {{ __('Employee') }}
                </a>
            </li>            
            <li class="breadcrumb-item active">
                {{ __('Create') }}
            </li>
        </ol>
    </div>
</header>
<div class="c-body">
    <main class="c-main">
        <div class="container-fluid">
            <div id="ui-view">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                                <h4 class="card-title mb-0">
                                    {{ __('Employee') }}
                                </h4>
                                <div class="small text-muted">
                                    {{ __('Create New Employee') }}
                                </div>
                            </div>
                        </div><hr>                        
						<form id="myForm" novalidate="novalidate" method="POST" action="{{ route('employee.store') }}">
							@if ($errors->any())
							    <div class="alert alert-danger">
							        <ul>
							            @foreach ($errors->all() as $error)
							                <li>{{ $error }}</li>
							            @endforeach
							        </ul>
							    </div>
							@endif
							{{ csrf_field() }}
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="employee_number">{{ __('Employee Number') }}</label>
                                    <input class="form-control" id="employee_number" type="text" name="employee_number" placeholder="{{ __('Employee Number') }}" value="{{ old('employee_number') }}">
                                </div>                         
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="employee_name">{{ __('Full Name') }}</label>
                                    <input class="form-control" id="employee_name" type="text" name="employee_name" placeholder="{{ __('Full Name') }}" value="{{ old('employee_name') }}">
                                </div>                                
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="payroll_number">{{ __('Payroll Number') }}</label>
                                    <input class="form-control" id="payroll_number" type="text" name="payroll_number" placeholder="{{ __('Payroll Number') }}" value="{{ old('payroll_number') }}">
                                </div>                         
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="department">{{ __('Department') }}</label>
                                    <select id="department" name="department" class="form-control selectpicker show-tick" title="{{ __('Select Department') }}" data-live-search="true" single>
                                        @foreach ($department as $item)
                                            <option value="{{ $item->id }}" {{ old('department') == $item->id ? 'selected' : '' }}>{{ $item->code }} - {{ $item->department_name }}</option>
                                        @endforeach
                                    </select>
                                </div>                                 
                            </div>                                                        
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="group">{{ __('Group') }}</label>
                                    <input class="form-control" id="group" type="text" name="group" placeholder="{{ __('Group') }}" value="{{ old('group') }}">
                                </div>                         
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="position">{{ __('Position') }}</label>
                                    <input class="form-control" id="position" type="text" name="position" placeholder="{{ __('Position') }}" value="{{ old('position') }}">
                                </div>                                
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="salary">{{ __('Salary') }}</label>
                                    <input class="form-control" id="salary" type="text" name="salary" placeholder="{{ __('Salary') }}" value="{{ old('salary') }}">
                                </div>                         
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="employee_status">{{ __('Employee Status') }}</label>
                                    <select id="employee_status" name="employee_status" class="form-control selectpicker show-tick" title="{{ __('Select Status') }}" data-live-search="true" single>
                                        <option value="0" {{ old('employee_status') == '0' ? 'selected' : '' }}>{{ __('Permanent') }}</option>
                                        <option value="1" {{ old('employee_status') == '1' ? 'selected' : '' }}>{{ __('Honorarium') }}</option>
                                    </select>
                                </div>                                
                            </div>                            
                            <div class="form-group">
                                <label class="col-form-label" for="level_of_education">{{ __('Level of Education') }}</label>
                                <input class="form-control" id="level_of_education" type="text" name="level_of_education" placeholder="{{ __('Level of Education') }}" value="{{ old('level_of_education') }}">
                            </div>
                            <div class="form-group">
                                <label class="col-form-label" for="majoring_in_education">{{ __('Majoring in Education') }}</label>
                                <input class="form-control" id="majoring_in_education" type="text" name="majoring_in_education" placeholder="{{ __('Majoring in Education') }}" value="{{ old('majoring_in_education') }}">
                            </div> 
                            <div class="form-group">
                                <label class="col-form-label" for="other">{{ __('Other Note') }}</label>
                                <input class="form-control" id="other" type="text" name="other" placeholder="{{ __('Other Note') }}" value="{{ old('other') }}">
                            </div>                                                        
							<div class="form-group">
								<label class="col-form-label" for="description">{{ __('Description') }}</label>
								<textarea class="form-control" id="description" type="description" name="description" placeholder="{{ __('Description') }}" rows="5">{{ old('description') }}</textarea>
							</div>
                            <div class="form-group">
                                <label class="col-form-label" for="is_active">{{ __('Status') }}</label>
                                <div class="form-check">
                                    <input class="form-check-input" id="active" type="radio" value="1" name="is_active" {{ old('is_active') == '1' ? 'checked' : '' }}>
                                    <label class="form-check-label" for="active">{{ __('Active') }}</label>
                                </div>                                  
                                <div class="form-check">
                                    <input class="form-check-input" id="inactive" type="radio" value="0" name="is_active" {{ old('is_active') == '0' ? 'checked' : '' }}>
                                    <label class="form-check-label" for="inactive">{{ __('Inactive') }}</label>
                                </div>  
                            </div>		
							<hr>								
							<div class="form-group">
                                <button class="btn btn-primary" type="submit" name="save" alt="{{ __('Save & Close') }}" title="{{ __('Save & Close') }}">
                                    <i class="cil-save"></i> {{ __('Save & Close') }}
                                </button>
								<a href="{{ route('employee.index') }}" class="btn btn-light" alt="{{ __('Cancel') }}" title="{{ __('Cancel') }}">
									<i class="icon-action-undo"></i> {{ __('Cancel') }}
								</a>
							</div>
						</form>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
@endsection

resources/views/pages/employee/edit.blade.php
@extends('layouts.app')

@section('title', __('Update Employee'))
@section('meta_description', __('Employee Page'))
@section('meta_keywords', __('Employee'))
@section('copyright', 'Copyright © 2020 ArikBali')
@section('author', 'Arik Bali')

@section('content')
<header class="c-header c-header-light c-header-fixed c-header-with-subheader">
    @include('partials/navbar_menus')
    <div class="c-subheader justify-content-between px-3">
        <ol class="breadcrumb border-0 m-0 px-0 px-md-3">
            <li class="breadcrumb-item">
                <a href="{{ route('dashboard') }}" alt="{{ __('Dashboard') }}" title="{{ __('Dashboard') }}">
                    {{ __('Home') }}
                </a>
            </li>
            <li class="breadcrumb-item">
                <a href="{{ route('employee.index') }}" alt="{{ __('Employee') }}" title="{{ __('Employee List') }}">
                    {{ __('Employee') }}
                </a>
            </li>            
            <li class="breadcrumb-item active">
                {{ __('Update') }}
            </li>
        </ol>
    </div>
</header>
<div class="c-body">
    <main class="c-main">
        <div class="container-fluid">
            <div id="ui-view">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                                <h4 class="card-title mb-0">
                                    {{ __('Employee') }}
                                </h4>
                                <div class="small text-muted">
                                    {{ __('Update Employee') }}
                                </div>
                            </div>
                        </div><hr>                        
                        <form id="myForm" novalidate="novalidate" method="POST" action="{{ route('employee.update', $employee->id) }}">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            {{ csrf_field() }}
                            {{ method_field('PUT') }}
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="employee_number">{{ __('Employee Number') }}</label>
                                    <input class="form-control" id="employee_number" type="text" name="employee_number" placeholder="{{ __('Employee Number') }}" value="{{ $employee->employee_number }}">
                                </div>                         
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="employee_name">{{ __('Full Name') }}</label>
                                    <input class="form-control" id="employee_name" type="text" name="employee_name" placeholder="{{ __('Full Name') }}" value="{{ $employee->employee_name }}">
                                </div>                                
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="payroll_number">{{ __('Payroll Number') }}</label>
                                    <input class="form-control" id="payroll_number" type="text" name="payroll_number" placeholder="{{ __('Payroll Number') }}" value="{{ $employee->payroll_number }}">
                                </div>                         
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="department">{{ __('Department') }}</label>
                                    <select id="department" name="department" class="form-control selectpicker show-tick" title="{{ __('Select Department') }}" data-live-search="true" single>
                                        @foreach ($department as $item)
                                            <option value="{{ $item->id }}" {{ $employee->department_id == $item->id ? 'selected' : '' }}>{{ $item->code }} - {{ $item->department_name }}</option>
                                        @endforeach
                                    </select>
                                </div>                                 
                            </div>                                                        
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="group">{{ __('Group') }}</label>
                                    <input class="form-control" id="group" type="text" name="group" placeholder="{{ __('Group') }}" value="{{ $employee->group }}">
                                </div>                         
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="position">{{ __('Position') }}</label>
                                    <input class="form-control" id="position" type="text" name="position" placeholder="{{ __('Position') }}" value="{{ $employee->position }}">
                                </div>                                
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="salary">{{ __('Salary') }}</label>
                                    <input class="form-control" id="salary" type="text" name="salary" placeholder="{{ __('Salary') }}" value="{{ $employee->salary }}">
                                </div>                         
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="employee_status">{{ __('Employee Status') }}</label>
                                    <select id="employee_status" name="employee_status" class="form-control selectpicker show-tick" title="{{ __('Select Status') }}" data-live-search="true" single>
                                        <option value="0" {{ $employee->employee_status == '0' ? 'selected' : '' }}>{{ __('Permanent') }}</option>
                                        <option value="1" {{ $employee->employee_status == '1' ? 'selected' : '' }}>{{ __('Honorarium') }}</option>
                                    </select>
                                </div>                                
                            </div>                            
                            <div class="form-group">
                                <label class="col-form-label" for="level_of_education">{{ __('Level of Education') }}</label>
                                <input class="form-control" id="level_of_education" type="text" name="level_of_education" placeholder="{{ __('Level of Education') }}" value="{{ $employee->level_of_education }}">
                            </div>
                            <div class="form-group">
                                <label class="col-form-label" for="majoring_in_education">{{ __('Majoring in Education') }}</label>
                                <input class="form-control" id="majoring_in_education" type="text" name="majoring_in_education" placeholder="{{ __('Majoring in Education') }}" value="{{ $employee->majoring_in_education }}">
                            </div> 
                            <div class="form-group">
                                <label class="col-form-label" for="other">{{ __('Other Note') }}</label>
                                <input class="form-control" id="other" type="text" name="other" placeholder="{{ __('Other Note') }}" value="{{ $employee->other }}">
                            </div>                                                        
                            <div class="form-group">
                                <label class="col-form-label" for="description">{{ __('Description') }}</label>
                                <textarea class="form-control" id="description" type="description" name="description" placeholder="{{ __('Description') }}" rows="5">{{ $employee->description }}</textarea>
                            </div>
                            <div class="form-group">
                                <label class="col-form-label" for="is_active">{{ __('Status') }}</label>
                                <div class="form-check">
                                    <input class="form-check-input" id="active" type="radio" value="1" name="is_active" {{ $employee->is_active == '1' ? 'checked' : '' }}>
                                    <label class="form-check-label" for="active">{{ __('Active') }}</label>
                                </div>                                  
                                <div class="form-check">
                                    <input class="form-check-input" id="inactive" type="radio" value="0" name="is_active" {{ $employee->is_active == '0' ? 'checked' : '' }}>
                                    <label class="form-check-label" for="inactive">{{ __('Inactive') }}</label>
                                </div>  
                            </div>    
                            <hr>                                
                            <div class="form-group">
                                <button class="btn btn-primary" type="submit" name="save" alt="{{ __('Update & Close') }}" title="{{ __('Update & Close') }}">
                                    <i class="cil-save"></i> {{ __('Update & Close') }}
                                </button>
                                <a href="{{ route('employee.index') }}" class="btn btn-light" alt="{{ __('Cancel') }}" title="{{ __('Cancel') }}">
                                    <i class="icon-action-undo"></i> {{ __('Cancel') }}
                                </a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
@endsection